{ stdenv, fetchFromGitHub, meson, ninja, pkgconfig
, wayland, wayland-protocols }:

stdenv.mkDerivation rec {
  pname = "wl-clipboard";
  version = "1.0.0-git";

  src = fetchFromGitHub {
    owner = "bugaevc";
    repo = "wl-clipboard";
    rev = "c010972e6b0d2eb3002c49a6a1b5620ff5f7c910";
    sha256 = "020l3jy9gsj6gablwdfzp1wfa8yblay3axdjc56i9q8pbhz7g12j";
  };

  nativeBuildInputs = [ meson ninja pkgconfig wayland-protocols ];
  buildInputs = [ wayland ];

  meta = with stdenv.lib; {
    description = "Command-line copy/paste utilities for Wayland";
    homepage = https://github.com/bugaevc/wl-clipboard;
    license = licenses.gpl3;
    maintainers = with maintainers; [ dywedir ];
    platforms = platforms.linux;
  };
}
